# coding: utf-8
lib = File.expand_path("../lib", __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require "arbutus/version"

Gem::Specification.new do |spec|
  spec.name          = "arbutus"
  spec.version       = Arbutus::VERSION
  spec.authors       = ["Josh Greenberg"]
  spec.email         = ["joshgreenberg91@gmail.com"]
  spec.homepage      = "https://github.com/joshgreenberg/arbutus"

  spec.summary       = "Ancestry tree for Hanami::Model"
  spec.description   = "Ancestry tree for Hanami::Model"
  spec.license       = "MIT"

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.15"
  spec.add_development_dependency "rake", "~> 12.0"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "minitest-reporters"
  spec.add_development_dependency "pry"
  spec.add_development_dependency "guard"
  spec.add_development_dependency "guard-minitest"
  spec.add_development_dependency "rake-notes"

  spec.add_dependency "hanami-model", "~> 1.0"
end
